Index: base/shell/explorer/lang/ru-RU.rc
===================================================================
--- base/shell/explorer/lang/ru-RU.rc	(revision 72075)
+++ base/shell/explorer/lang/ru-RU.rc	(working copy)
@@ -47,7 +47,7 @@
             MENUITEM "&Безопасность...", IDM_SECURITY, MFT_STRING, MFS_ENABLED
             MENUITEM "&Сетевые подключения", IDM_NETWORKCONNECTIONS, MFT_STRING, MFS_ENABLED
             MENUITEM "&Принтеры и факсы", IDM_PRINTERSANDFAXES, MFT_STRING, MFS_ENABLED
-            MENUITEM "Панель &задач и меню ""Пуск""", IDM_TASKBARANDSTARTMENU, MFT_STRING, MFS_ENABLED
+            MENUITEM "Панель &задач и меню \"Пуск\"", IDM_TASKBARANDSTARTMENU, MFT_STRING, MFS_ENABLED
         END
         POPUP "П&оиск", IDM_SEARCH
         BEGIN
@@ -73,29 +73,29 @@
     CONTROL "", IDC_TASKBARPROP_TASKBARBITMAP, "Static", SS_BITMAP | SS_SUNKEN, 13, 18, 224, 21
     AUTOCHECKBOX "&Закрепить панель задач", IDC_TASKBARPROP_LOCK, 13, 45, 200, 10
     AUTOCHECKBOX "&Автоматически скрывать панель задач", IDC_TASKBARPROP_HIDE, 13, 58, 200, 10
-    AUTOCHECKBOX "&Поверх других окон", IDC_TASKBARPROP_ONTOP, 13, 71, 200, 10
-    AUTOCHECKBOX "&Группировать схожие кнопки", IDC_TASKBARPROP_GROUP, 13, 84, 200, 10
+    AUTOCHECKBOX "Отображать панель задач &поверх других окон", IDC_TASKBARPROP_ONTOP, 13, 71, 200, 10
+    AUTOCHECKBOX "&Группировать схожие кнопки панели задач", IDC_TASKBARPROP_GROUP, 13, 84, 200, 10
     AUTOCHECKBOX "Отображать панель &быстрого запуска", IDC_TASKBARPROP_SHOWQL, 13, 97, 200, 10
     GROUPBOX "Панель уведомлений", IDC_STATIC, 6, 114, 240, 98
     CONTROL "", IDC_TASKBARPROP_NOTIFICATIONBITMAP, "Static", SS_BITMAP | SS_SUNKEN,13, 126, 223, 28
-    AUTOCHECKBOX "&Часы", IDC_TASKBARPROP_CLOCK, 13, 153, 80, 10
-    AUTOCHECKBOX "Отображать секунды", IDC_TASKBARPROP_SECONDS, 120, 153, 80, 10, WS_DISABLED
+    AUTOCHECKBOX "Отображать &часы", IDC_TASKBARPROP_CLOCK, 13, 153, 80, 10
+    AUTOCHECKBOX "Отображать секунды", IDC_TASKBARPROP_SECONDS, 120, 153, 83, 10, WS_DISABLED
     LTEXT "Можно избежать загромождения области уведомлений, скрывая значки, которые давно не использовались.", IDC_STATIC, 13, 169, 223, 16
-    AUTOCHECKBOX "&Скрывать неиспользуемые значки", IDC_TASKBARPROP_HIDEICONS, 13, 191, 125, 10
+    AUTOCHECKBOX "&Скрывать неиспользуемые значки", IDC_TASKBARPROP_HIDEICONS, 13, 191, 128, 10
     PUSHBUTTON "&Настроить...", IDC_TASKBARPROP_ICONCUST, 188, 191, 50, 14
-END 
+END
 
 IDD_TASKBARPROP_STARTMENU DIALOGEX 0, 0, 252, 218
 STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
-CAPTION "Меню ""Пуск"""
+CAPTION "Меню \"Пуск\""
 FONT 8, "MS Shell Dlg", 0, 0, 0x1
 BEGIN
     CONTROL "", IDC_TASKBARPROP_STARTMENU_BITMAP, "Static", SS_BITMAP | SS_SUNKEN,7, 7, 183, 108
-    AUTORADIOBUTTON "М&еню ""Пуск""", IDC_TASKBARPROP_STARTMENU, 7, 135, 105, 10, WS_DISABLED
+    AUTORADIOBUTTON "М&еню \"Пуск\"", IDC_TASKBARPROP_STARTMENU, 7, 135, 105, 10, WS_DISABLED
     LTEXT "Этот стиль меню обеспечивает удобный доступ к папкам, часто используемым программам и поиску.", IDC_STATIC, 20, 145, 150, 24, WS_DISABLED
     PUSHBUTTON "&Настроить...", IDC_TASKBARPROP_STARTMENUCUST, 192, 132, 53, 14, WS_DISABLED
-    AUTORADIOBUTTON "&Классическое меню ""Пуск""", IDC_TASKBARPROP_STARTMENUCLASSIC, 7, 175, 105, 10
-    LTEXT "Классический стиль отображения меню ""Пуск"".", IDC_STATIC, 20, 185, 150, 24
+    AUTORADIOBUTTON "&Классическое меню \"Пуск\"", IDC_TASKBARPROP_STARTMENUCLASSIC, 7, 175, 105, 10
+    LTEXT "Классический стиль отображения меню \"Пуск\".", IDC_STATIC, 20, 185, 150, 24
     PUSHBUTTON "Н&астроить...", IDC_TASKBARPROP_STARTMENUCLASSICCUST, 192, 172, 53, 14
 END
 
@@ -102,37 +102,37 @@
 IDD_NOTIFICATIONS_CUSTOMIZE DIALOGEX 0, 0, 232, 240
 STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | DS_CONTEXTHELP | WS_POPUPWINDOW | WS_VISIBLE | WS_DLGFRAME
 EXSTYLE WS_EX_CONTEXTHELP
-CAPTION "Customize Notifications"
+CAPTION "Настройка уведомлений"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    LTEXT            "ReactOS displays icons for active and urgent notifications, and hides inactive ones. You can change this behavior for items in the list below.", IDC_STATIC, 6, 6, 220, 30
-    LTEXT            "Select an item, then choose its notification behavior:", IDC_STATIC, 6, 40, 220, 10
+    LTEXT            "Система ReactOS отображает значки для активных и срочных уведомлений, скрывая неактивные. Можно изменить такое поведение для элементов следующего списка.", IDC_STATIC, 6, 6, 220, 30
+    LTEXT            "Выберите элемент, а затем задайте нужное поведение:", IDC_STATIC, 6, 40, 220, 10
     CONTROL          "", IDC_NOTIFICATION_LIST, "SysListView32", WS_CLIPSIBLINGS | WS_BORDER | 0x00008005, 6, 50, 220, 128
     COMBOBOX         IDC_NOTIFICATION_BEHAVIOUR, 103, 178, 78, 200, CBS_DROPDOWNLIST | NOT WS_VISIBLE | WS_CLIPSIBLINGS
-    PUSHBUTTON       "&Restore Defaults", IDC_TASKBARPROP_NOTIREST, 164, 188, 62, 14
-    DEFPUSHBUTTON    "OK", IDOK, 122, 220, 50, 14
-    PUSHBUTTON       "Cancel", IDCANCEL, 176, 220, 50, 14
+    PUSHBUTTON       "&Восстановить по умолчанию", IDC_TASKBARPROP_NOTIREST, 115, 188, 110, 14
+    DEFPUSHBUTTON    "ОК", IDOK, 122, 220, 50, 14
+    PUSHBUTTON       "Отмена", IDCANCEL, 176, 220, 50, 14
 END
 
 IDD_CLASSICSTART_CUSTOMIZE DIALOGEX 0, 0, 232, 240, 0
 STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | DS_CONTEXTHELP | WS_POPUPWINDOW | WS_VISIBLE | WS_DLGFRAME
-CAPTION "Customize Classic Start Menu"
+CAPTION "Настройка классического меню \"Пуск\""
 FONT 8, "MS Shell Dlg"
 {
-    GROUPBOX         "Start menu", IDC_STATIC, 8, 7, 218, 114
+    GROUPBOX         "Состав меню \"Пуск\"", IDC_STATIC, 8, 7, 218, 114
     ICON             IDI_STARTMENU2, IDC_STATIC, 19, 17, 20, 20
-    LTEXT            "You can customize your Start menu by adding or removing items.", IDC_STATIC, 48, 17, 108, 39
-    PUSHBUTTON       "A&dd...", IDC_CLASSICSTART_ADD, 162, 18, 53, 14
-    PUSHBUTTON       "&Remove...", IDC_CLASSICSTART_REMOVE, 162, 33, 53, 14
-    PUSHBUTTON       "Ad&vanced", IDC_CLASSICSTART_ADVANCED, 162, 49, 53, 14
-    PUSHBUTTON       "&Sort", IDC_CLASSICSTART_SORT, 162, 65, 53, 14
+    LTEXT            "Можно изменить состав меню \"Пуск\", добавляя или удаляя его элементы.", IDC_STATIC, 48, 17, 108, 39
+    PUSHBUTTON       "&Добавить...", IDC_CLASSICSTART_ADD, 162, 18, 53, 14
+    PUSHBUTTON       "&Удалить...", IDC_CLASSICSTART_REMOVE, 162, 33, 53, 14
+    PUSHBUTTON       "&Вручную", IDC_CLASSICSTART_ADVANCED, 162, 49, 53, 14
+    PUSHBUTTON       "&Сортировать", IDC_CLASSICSTART_SORT, 162, 65, 53, 14
     ICON             IDI_RECYCLEBIN, IDC_STATIC, 20, 85, 20, 20
-    LTEXT            "To remove records of recently accessed documents, programs, and Web sites, click Clear.", IDC_STATIC, 49, 85, 108, 33
-    PUSHBUTTON       "&Clear", IDC_CLASSICSTART_CLEAR, 162, 94, 53, 14
-    LTEXT            "Advanced S&tart menu options:", IDC_STATIC, 8, 129, 150, 8
+    LTEXT            "Чтобы очистить списки недавно использовавшихся документов, программ и веб-узлов, нажмите кнопку \"Очистить\".", IDC_STATIC, 49, 85, 108, 33
+    PUSHBUTTON       "О&чистить", IDC_CLASSICSTART_CLEAR, 162, 94, 53, 14
+    LTEXT            "Дополнительные &параметры меню \"Пуск\":", IDC_STATIC, 8, 129, 150, 8
     CONTROL          "StartMenuSe&ttings", IDC_CLASSICSTART_SETTINGS, "SysTreeView32", WS_BORDER | 0x00000001, 8, 139, 218, 72, WS_EX_CLIENTEDGE
-    DEFPUSHBUTTON    "OK", IDOK, 122, 220, 50, 14
-    PUSHBUTTON       "Cancel", IDCANCEL, 176, 220, 50, 14
+    DEFPUSHBUTTON    "ОК", IDOK, 122, 220, 50, 14
+    PUSHBUTTON       "Отмена", IDCANCEL, 176, 220, 50, 14
 }
 
 IDD_FILENAME_WARNING DIALOGEX 0, 0, 272, 81, 0
@@ -141,9 +141,9 @@
 FONT 8, "MS Shell Dlg"
 {
     DEFPUSHBUTTON    "&Ignore", IDIGNORE, 215, 60, 50, 14
-    PUSHBUTTON       "&Rename", IDC_FILE_RENAME, 159, 60, 50, 14
+    PUSHBUTTON       "&Переименовать", IDC_FILE_RENAME, 159, 60, 50, 14
     LTEXT            "", IDC_STATIC, 7, 51, 258, 1, NOT WS_GROUP
-    AUTOCHECKBOX     "&Don't perform this check at startup", IDC_NOTCHECK, 7, 62, 139, 10
+    AUTOCHECKBOX     "&Не делать эту проверку во время запуска", IDC_NOTCHECK, 7, 62, 139, 10
     ICON             32515, IDC_STATIC, 7, 7, 21, 20
     LTEXT            "There is a file or folder on your computer called %s which could cause certain applications to not function correctly.  Renaming it to %s would solve this problem.  Would you like to rename it now?", IDC_STATIC, 34, 7, 224, 37
 }
@@ -150,38 +150,38 @@
 
 IDD_MODERNSTART_ADVANCED DIALOGEX 0, 0, 251, 198, 0
 STYLE DS_SETFONT | WS_CAPTION | WS_CHILD | WS_DISABLED
-CAPTION "Advanced"
+CAPTION "Дополнительно"
 FONT 8, "MS Shell Dlg"
 {
-    GROUPBOX         "Start menu settings ", IDC_STATIC, 7, 7, 238, 42
-    AUTOCHECKBOX     "&Open submenus when I pause on them with my mouse", IDC_AUTOOPEN, 14, 21, 224, 10
-    AUTOCHECKBOX     "Highlight &newly installed programs", IDC_HIGHLIGHT, 14, 35, 224, 10
-    LTEXT            "Start &menu items:", IDC_STATIC, 7, 53, 238, 8
+    GROUPBOX         "Параметры меню \"Пуск\" ", IDC_STATIC, 7, 7, 238, 42
+    AUTOCHECKBOX     "&Раскрывать меню при наведении и задержке указателя", IDC_AUTOOPEN, 14, 21, 224, 10
+    AUTOCHECKBOX     "&Подсвечивать недавно установленные программы", IDC_HIGHLIGHT, 14, 35, 224, 10
+    LTEXT            "&Элементы меню \"Пуск\":", IDC_STATIC, 7, 53, 238, 8
     CONTROL          "StartMenuSe&ttings", IDC_ITEMS, "SysTreeView32", WS_BORDER | 0x00000001, 7, 63, 238, 67, WS_EX_CLIENTEDGE
-    GROUPBOX         "Recent documents ", IDC_STATIC, 7, 133, 238, 56
-    LTEXT            "Select this option to provide quick access to the documents you opened most recently.  Clearing this list does not delete the documents.", IDC_STATIC, 14, 144, 224, 21
-    AUTOCHECKBOX     "List my most &recently opened documents", IDC_RECENTLY, 14, 168, 147, 10
-    PUSHBUTTON       "&Clear List", IDC_CLEAR, 182, 168, 55, 14
+    GROUPBOX         "Недавние документы ", IDC_STATIC, 7, 133, 238, 56
+    LTEXT            "Этот список обеспечивает быстрый доступ к недавно использовавшимся документам, его очистка не приводит к удаление документов.", IDC_STATIC, 14, 144, 224, 21
+    AUTOCHECKBOX     "Отображать список &недавно использовавшихся документов", IDC_RECENTLY, 14, 168, 147, 10
+    PUSHBUTTON       "&Очистить список", IDC_CLEAR, 182, 168, 55, 14
 }
 
 IDD_MODERNSTART_GENERAL DIALOGEX 0, 0, 251, 198
 STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUPWINDOW | WS_DLGFRAME
-CAPTION "General"
+CAPTION "Общие"
 FONT 8, "MS Shell Dlg"
 {
-    GROUPBOX         "Select an icon size for programs ", IDC_STATIC, 7, 7, 238, 37
+    GROUPBOX         "Размер значков для программ ", IDC_STATIC, 7, 7, 238, 37
     ICON             IDC_LARGEICON, 17, 18, 20, 20, SS_CENTERIMAGE
     ICON             IDC_SMALLICON, 151, 18, 20, 20, SS_CENTERIMAGE
-    AUTORADIOBUTTON  "&Large icons", IDC_CHOOSELARGE, 43, 25, 53, 10
-    AUTORADIOBUTTON  "&Small icons", IDC_CHOOSESMALL, 177, 25, 51, 10, NOT WS_TABSTOP
-    GROUPBOX         "Programs ", IDC_STATIC, 7, 49, 238, 70
-    LTEXT            "The Start menu contains shortcuts to the programs you use most often.  Clearing the list of shortcuts does not delete the programs.", IDC_STATIC, 14, 63, 224, 20
-    LTEXT            "&Number of programs on Start menu:", IDC_STATIC, 14, 86, 112, 8
+    AUTORADIOBUTTON  "&Крупные значки", IDC_CHOOSELARGE, 43, 25, 53, 10
+    AUTORADIOBUTTON  "&Мелкие значки", IDC_CHOOSESMALL, 177, 25, 51, 10, NOT WS_TABSTOP
+    GROUPBOX         "Программы ", IDC_STATIC, 7, 49, 238, 70
+    LTEXT            "Меню \"Пуск\" содержит ярлыки часто используемых программ. Очистка этого списка ярлыков не ведет к удалению программ.", IDC_STATIC, 14, 63, 224, 20
+    LTEXT            "К&оличество программ в меню \"Пуск\":", IDC_STATIC, 14, 86, 112, 8
     EDITTEXT         IDC_NUMBEROFPROGRAMS, 133, 84, 27, 12, ES_LEFT | ES_RIGHT | ES_NUMBER
     CONTROL          "", IDC_NUMBERUPDOWN, "msctls_updown32", WS_BORDER | 0x000000B6, 160, 84, 11, 12
-    PUSHBUTTON       "&Clear List", IDC_CLEARLIST, 182, 98, 57, 14
-    GROUPBOX         "Show on Start menu ", IDC_STATIC, 7, 126, 238, 63
-    AUTOCHECKBOX     "&Internet:", IDC_SHOWINTERNET, 14, 140, 42, 10
+    PUSHBUTTON       "О&чистить список", IDC_CLEARLIST, 182, 98, 57, 14
+    GROUPBOX         "Отображать в меню \"Пуск\" ", IDC_STATIC, 7, 126, 238, 63
+    AUTOCHECKBOX     "&Интернет:", IDC_SHOWINTERNET, 14, 140, 42, 10
     COMBOBOX         IDC_INTERNETDEFAULTAPP, 98, 138, 140, 200, CBS_DROPDOWNLIST | WS_VSCROLL
     AUTOCHECKBOX     "&E-mail:", IDC_SHOWEMAIL, 14, 157, 37, 10
     COMBOBOX         IDC_EMAILDEFAULTAPP, 98, 155, 140, 200, CBS_DROPDOWNLIST | WS_VSCROLL
@@ -198,5 +198,5 @@
 
 STRINGTABLE
 BEGIN
-    IDS_TASKBAR_STARTMENU_PROP_CAPTION "Свойства меню Пуск и Панели задач"
+    IDS_TASKBAR_STARTMENU_PROP_CAPTION "Свойства меню \"Пуск\" и Панели задач"
 END
Index: base/system/diskpart/lang/ru-RU.rc
===================================================================
--- base/system/diskpart/lang/ru-RU.rc	(revision 72075)
+++ base/system/diskpart/lang/ru-RU.rc	(working copy)
@@ -6,7 +6,7 @@
 STRINGTABLE
 BEGIN
     IDS_APP_HEADER "ReactOS DiskPart"
-    IDS_APP_USAGE "\nDisk Partitioning Interpreter.\n\n\
+    IDS_APP_USAGE "\nРазбиение диска на разделы.\n\n\
 Использование: DISKPART [/S <имя_файла>] [/T <тайм-аут>] [/?]\n\n\
 /S <имя_файла>\tЗапускает указанный скрипт.\n\
 /T <тайм-аут>\tТайм-аут в секундах, чтобы предотвратить использование DiskPart.\n\
@@ -44,7 +44,7 @@
     IDS_LIST_DISK_FORMAT "%c %7lu   %-10s  %4I64u %-2s  %4I64u %-2s   %1s    %1s\n"
     IDS_LIST_PARTITION_HEAD "\n  Разметка       Тип              Размер    Отступ\n"
     IDS_LIST_PARTITION_LINE "  -------------  ----------------  -------  -------\n"
-    IDS_LIST_PARTITION_FORMAT "%c Partition %2lu   %-16s  %4I64u %-2s  %4I64u %-2s\n"
+    IDS_LIST_PARTITION_FORMAT "%c Раздел %2lu   %-16s  %4I64u %-2s  %4I64u %-2s\n"
     IDS_LIST_PARTITION_NO_DISK "\nДиск с разметкой элементов не выбран.\nУкажите диск и повторите попытку.\n\n"
     IDS_LIST_VOLUME_HEAD "Том ###\tИмя\tМетка\n"
 END
Index: base/system/subst/lang/ru-RU.rc
===================================================================
--- base/system/subst/lang/ru-RU.rc	(revision 72075)
+++ base/system/subst/lang/ru-RU.rc	(working copy)
@@ -7,8 +7,8 @@
     IDS_INCORRECT_PARAMETER_COUNT "Неверное число параметров - %s\n"
     IDS_INVALID_PARAMETER "Неверное число параметров - %s\n"
     IDS_INVALID_PARAMETER2 "Неверный параметр - %s\n"
-    IDS_PATH_NOT_FOUND "Path not found - %s\n"
-    IDS_ACCESS_DENIED "Access denied - %s\n"
+    IDS_PATH_NOT_FOUND "Путь не найден - %s\n"
+    IDS_ACCESS_DENIED "Доступ запрещен - %s\n"
     IDS_DRIVE_ALREADY_SUBSTED "Диск уже сопоставлен\n"
     IDS_FAILED_WITH_ERRORCODE "Сбой с кодом ошибки 0x%x: %s\n"
     IDS_USAGE "Сопоставление имени диска указанному пути.\n\n\
Index: boot/freeldr/fdebug/lang/ru-RU.rc
===================================================================
--- boot/freeldr/fdebug/lang/ru-RU.rc	(revision 72075)
+++ boot/freeldr/fdebug/lang/ru-RU.rc	(working copy)
@@ -74,7 +74,7 @@
 
 STRINGTABLE
 BEGIN
-    IDS_APP_TITLE "FreeLoader Debugger"
+    IDS_APP_TITLE "Отладчик FreeLoader"
     IDS_HELLO "Привет мир!"
     IDC_FDEBUG "FDEBUG"
 END
Index: dll/cpl/appwiz/lang/ru-RU.rc
===================================================================
--- dll/cpl/appwiz/lang/ru-RU.rc	(revision 72075)
+++ dll/cpl/appwiz/lang/ru-RU.rc	(working copy)
@@ -43,14 +43,14 @@
 
 IDD_CONFIG_STARTMENU DIALOGEX 0, 0, 212, 200
 STYLE DS_SHELLFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
-CAPTION "Remove Shortcuts/Folders"
+CAPTION "Удаление ярлыков/папок"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    LTEXT "&To remove an item from the Start menu, select the item and click Remove.", -1, 10, 10, 192, 16
+    LTEXT "&Для удаления пункта в меню Пуск, выберите его и нажмите ""Удалить"".", -1, 10, 10, 192, 16
     CONTROL "List1", IDC_STARTMENU_TREE, "SysListView32", LVS_REPORT | LVS_SHOWSELALWAYS |
             LVS_SORTASCENDING | WS_BORDER | WS_TABSTOP, 10, 32, 192, 138
-    PUSHBUTTON "&Remove", IDC_REMOVE_ENTRIES, 98, 176, 50, 14, WS_GROUP | WS_TABSTOP
-    DEFPUSHBUTTON "Close", IDOK, 152, 176, 50, 14, WS_GROUP | WS_TABSTOP
+    PUSHBUTTON "&Удалить", IDC_REMOVE_ENTRIES, 98, 176, 50, 14, WS_GROUP | WS_TABSTOP
+    DEFPUSHBUTTON "Закрыть", IDOK, 152, 176, 50, 14, WS_GROUP | WS_TABSTOP
 END
 
 ID_DWL_GECKO_DIALOG DIALOGEX  0, 0, 260, 95
Index: dll/cpl/wined3dcfg/lang/ru-RU.rc
===================================================================
--- dll/cpl/wined3dcfg/lang/ru-RU.rc	(revision 72075)
+++ dll/cpl/wined3dcfg/lang/ru-RU.rc	(working copy)
@@ -20,11 +20,11 @@
     GROUPBOX "Рендеринг", -1, 5, 110, 230, 110
     LTEXT "Мультисэмплинг:", -1, 15, 127, 120, 10
     COMBOBOX IDC_MULTISAMPLING, 135, 125, 90, 10, WS_TABSTOP | WS_VSCROLL | CBS_DROPDOWNLIST
-    LTEXT "Strict Draw Ordering:", -1, 15, 142, 120, 10
+    LTEXT "Строгий порядок отрисовки:", -1, 15, 142, 120, 10
     COMBOBOX IDC_STRICTDRAWORDERING, 135, 140, 90, 10, WS_TABSTOP | WS_VSCROLL | CBS_DROPDOWNLIST
-    LTEXT "Offscreen рендеринг:", -1, 15, 157, 120, 10
+    LTEXT "Закадровый рендеринг:", -1, 15, 157, 120, 10
     COMBOBOX IDC_OFFSCREEN, 135, 155, 90, 10, WS_TABSTOP | WS_VSCROLL | CBS_DROPDOWNLIST
-    LTEXT "Always Offscreen:", -1, 15, 172, 120, 10, SS_LEFT
+    LTEXT "Всегда закадровый:", -1, 15, 172, 120, 10, SS_LEFT
     COMBOBOX IDC_ALWAYSOFFSCREEN, 135, 170, 90, 10, WS_TABSTOP | WS_VSCROLL | CBS_DROPDOWNLIST
     LTEXT "Размер видеопамяти:", -1, 15, 187, 120, 10, SS_LEFT
     COMBOBOX IDC_VIDMEMSIZE, 135, 185, 90, 10, WS_TABSTOP | WS_VSCROLL | CBS_DROPDOWNLIST
Index: dll/shellext/stobject/lang/ru-RU.rc
===================================================================
--- dll/shellext/stobject/lang/ru-RU.rc	(revision 72075)
+++ dll/shellext/stobject/lang/ru-RU.rc	(working copy)
@@ -9,10 +9,10 @@
 CAPTION "Power Meter"
 FONT 8, "MS Shell Dlg"
 BEGIN
-    CONTROL "Power status", 1001, BUTTON, BS_GROUPBOX | WS_CHILD | WS_VISIBLE, 9, 20, 234, 189 
-    CONTROL "&Always show icon on the taskbar.", 1002, BUTTON, BS_AUTOCHECKBOX | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP, 6, 6, 120, 10 
-    CONTROL "Show details for each &battery.", 1003, BUTTON, BS_AUTOCHECKBOX | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP, 135, 6, 120, 8 
-    CONTROL "", 1000, STATIC, SS_LEFT | WS_CHILD | WS_GROUP, 11, 29, 229, 178 
+    CONTROL "Статус электропитания", 1001, BUTTON, BS_GROUPBOX | WS_CHILD | WS_VISIBLE, 9, 20, 234, 189
+    CONTROL "&Всегда показывать значок на панели задач.", 1002, BUTTON, BS_AUTOCHECKBOX | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP, 6, 6, 120, 10
+    CONTROL "Показывать информацию о каждой &батарее.", 1003, BUTTON, BS_AUTOCHECKBOX | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP, 135, 6, 120, 8
+    CONTROL "", 1000, STATIC, SS_LEFT | WS_CHILD | WS_GROUP, 11, 29, 229, 178
 END
 #endif
 
@@ -19,31 +19,31 @@
 STRINGTABLE
 BEGIN
     //Power related strings
-    IDS_PWR_PROPERTIES        "&Adjust Power Properties"
-    IDS_PWR_METER             "&Open Power Meter"
-    IDS_PWR_PERCENT_REMAINING "%1!u!%% remaining"
-    IDS_PWR_CHARGING          " (charging)"
+    IDS_PWR_PROPERTIES        "&Настройка электропитания"
+    IDS_PWR_METER             "&Открыть показатели питания"
+    IDS_PWR_PERCENT_REMAINING "%1!u!%% осталось"
+    IDS_PWR_CHARGING          " (заряжается)"
     IDS_PWR_UNKNOWN_REMAINING "Unknown remaining"
-    IDS_PWR_AC "On AC power"
-    IDS_PWR_HOURS_REMAINING "%1!u!:%2!02u! hours (%3!u!%%) remaining"
-    IDS_PWR_MINUTES_REMAINING "%1!u! min (%2!u!%%) remaining"
+    IDS_PWR_AC "От сети переменного тока"
+    IDS_PWR_HOURS_REMAINING "%1!u!:%2!02u! часов (%3!u!%%) осталось"
+    IDS_PWR_MINUTES_REMAINING "%1!u! минут (%2!u!%%) осталось"
 
     //Hotplug related strings
-    IDS_HOTPLUG_REMOVE_1 "Safely Remove Hardware"
-    IDS_HOTPLUG_REMOVE_2 "&Safely Remove Hardware"
-    IDS_HOTPLUG_REMOVE_3 "Safely remove %s"
+    IDS_HOTPLUG_REMOVE_1 "Безопасное извлечение устройства"
+    IDS_HOTPLUG_REMOVE_2 "&Безопасное извлечение устройства"
+    IDS_HOTPLUG_REMOVE_3 "Безопасное извлечение %s"
     IDS_HOTPLUG_COMMA ", "
-    IDS_HOTPLUG_DRIVE " - Drive(%s)"
-    IDS_HOTPLUG_DRIVES " - Drives(%s)"
+    IDS_HOTPLUG_DRIVE " - Диск(%s)"
+    IDS_HOTPLUG_DRIVES " - Диски(%s)"
     IDS_HOTPLUG_A "A:"
-    IDS_HOTPLUG_REQUIERES "This hardware requires ""Safe Removal"""
-    IDS_HOTPLUG_CLICK "Before removing this hardware, click on this icon and select the hardware you want to remove."
+    IDS_HOTPLUG_REQUIERES "Это оборудование требует ""Безопасного извлечения"""
+    IDS_HOTPLUG_CLICK "Перед извлечением устройства, кликните эту иконку и выберите устройство, которое вы хотите отключить"
 
     //Volume related strings
-    IDS_VOL_VOLUME "Volume"
-    IDS_VOL_ADJUST "&Adjust Audio Properties"
-    IDS_VOL_OPEN "&Open Volume Control"
-    IDS_VOL_MUTED "Volume (muted)"
+    IDS_VOL_VOLUME "Громкость"
+    IDS_VOL_ADJUST "&Настройка параметров аудио"
+    IDS_VOL_OPEN "&Открыть управление громкостью"
+    IDS_VOL_MUTED "Громкость (выключено)"
 
     //Keyboard-Mouse related strings
     IDS_KEYS_STICKY "Залипание клавиш"
Index: dll/win32/comdlg32/lang/cdlg_Ru.rc
===================================================================
--- dll/win32/comdlg32/lang/cdlg_Ru.rc	(revision 72075)
+++ dll/win32/comdlg32/lang/cdlg_Ru.rc	(working copy)
@@ -42,7 +42,7 @@
     IDS_UPFOLDER         "Вверх на один уровень"
     IDS_NEWFOLDER        "Создать новую папку"
     IDS_LISTVIEW         "Список"
-    IDS_REPORTVIEW       "Подробности"
+    IDS_REPORTVIEW       "Таблица"
     IDS_TODESKTOP        "Переход на рабочий стол"
 }
 
@@ -77,8 +77,8 @@
     PD32_PRINTER_STATUS_PAUSED            "Приостановлено; "
     PD32_PRINTER_STATUS_ERROR             "Ошибка; "
     PD32_PRINTER_STATUS_PENDING_DELETION  "Ожидание удаления; "
-    PD32_PRINTER_STATUS_PAPER_JAM         "Бумага застряла; "
-    PD32_PRINTER_STATUS_PAPER_OUT         "Не хватило бумаги; "
+    PD32_PRINTER_STATUS_PAPER_JAM         "Замятие бумаги; "
+    PD32_PRINTER_STATUS_PAPER_OUT         "Недостаточно бумаги; "
     PD32_PRINTER_STATUS_MANUAL_FEED       "Вставьте бумагу вручную; "
     PD32_PRINTER_STATUS_PAPER_PROBLEM     "Проблема с бумагой; "
     PD32_PRINTER_STATUS_OFFLINE           "Принтер в автономном режиме; "
@@ -138,7 +138,7 @@
     IDS_SAVE_AS     "Сохранить как"
     IDS_OPEN_FILE   "Открыть файл"
     IDS_SELECT_FOLDER "Выбрать папку"
-    IDS_FONT_SIZE_INPUT "Font size has to be a number."
+    IDS_FONT_SIZE_INPUT "Размер шрифта должен быть числом."
 }
 
 /*
Index: dll/win32/crypt32/lang/crypt32_Ru.rc
===================================================================
--- dll/win32/crypt32/lang/crypt32_Ru.rc	(revision 72075)
+++ dll/win32/crypt32/lang/crypt32_Ru.rc	(working copy)
@@ -18,7 +18,7 @@
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
  */
 
-/* Russian language resource file by Kudratov Olimjon (olim98@bk.ru) */
+/* Russian language resource file by Kudratov Olimjon (olim98@bk.ru) & updated by Stopkin Sergey (stopkin.sergey@gmail.com)*/
 
 LANGUAGE LANG_RUSSIAN, SUBLANG_DEFAULT
 
@@ -177,9 +177,9 @@
 STRINGTABLE
 {
     IDS_KEY_ID "KeyID="
-    IDS_CERT_ISSUER "Certificate Issuer"
+    IDS_CERT_ISSUER "Издатель сертификата"
     IDS_CERT_SERIAL_NUMBER "Серийный номер сертификата="
-    IDS_ALT_NAME_OTHER_NAME "Other Name="
+    IDS_ALT_NAME_OTHER_NAME "Дополнительное имя="
     IDS_ALT_NAME_RFC822_NAME "Почтовый адрес="
     IDS_ALT_NAME_DNS_NAME "DNS-имя="
     IDS_ALT_NAME_DIRECTORY_NAME "Адрес каталога"
@@ -187,14 +187,14 @@
     IDS_ALT_NAME_IP_ADDRESS "IP-адрес="
     IDS_ALT_NAME_MASK "Маска="
     IDS_ALT_NAME_REGISTERED_ID "Зарегистрированный идентификатор="
-    IDS_USAGE_UNKNOWN "Unknown Key Usage"
+    IDS_USAGE_UNKNOWN "Неизвестное использование ключа"
     IDS_SUBJECT_TYPE "Тип субъекта="
     IDS_SUBJECT_TYPE_CA "CA"
     IDS_SUBJECT_TYPE_END_CERT "End Entity"
-    IDS_PATH_LENGTH "Path Length Constraint="
-    IDS_PATH_LENGTH_NONE "None"
-    IDS_INFO_NOT_AVAILABLE "Information Not Available"
-    IDS_AIA "Authority Info Access"
+    IDS_PATH_LENGTH "Ограничение длины пути: "
+    IDS_PATH_LENGTH_NONE "Неограничено"
+    IDS_INFO_NOT_AVAILABLE "Информация отсутствует"
+    IDS_AIA "Доступ к информации о центре сертификации"
     IDS_ACCESS_METHOD "Метод доступа="
     IDS_ACCESS_METHOD_OCSP "OCSP"
     IDS_ACCESS_METHOD_CA_ISSUERS "CA Issuers"
@@ -209,7 +209,7 @@
     IDS_REASON_KEY_COMPROMISE "Key Compromise"
     IDS_REASON_CA_COMPROMISE "CA Compromise"
     IDS_REASON_AFFILIATION_CHANGED "Affiliation Changed"
-    IDS_REASON_SUPERSEDED "Superseded"
+    IDS_REASON_SUPERSEDED "Заменено"
     IDS_REASON_CESSATION_OF_OPERATION "Operation Ceased"
     IDS_REASON_CERTIFICATE_HOLD "Certificate Hold"
     IDS_FINANCIAL_CRITERIA "Финансовая информация="
@@ -220,16 +220,16 @@
     IDS_NO "Нет"
     IDS_DIGITAL_SIGNATURE "Цифровая подпись"
     IDS_NON_REPUDIATION "Non-Repudiation"
-    IDS_KEY_ENCIPHERMENT "Key Encipherment"
-    IDS_DATA_ENCIPHERMENT "Data Encipherment"
-    IDS_KEY_AGREEMENT "Key Agreement"
-    IDS_CERT_SIGN "Certificate Signing"
-    IDS_OFFLINE_CRL_SIGN "Off-line CRL Signing"
-    IDS_CRL_SIGN "CRL Signing"
-    IDS_ENCIPHER_ONLY "Encipher Only"
-    IDS_DECIPHER_ONLY "Decipher Only"
-    IDS_NETSCAPE_SSL_CLIENT "SSL Client Authentication"
-    IDS_NETSCAPE_SSL_SERVER "SSL Server Authentication"
+    IDS_KEY_ENCIPHERMENT "Зашифрование ключей шифрования"
+    IDS_DATA_ENCIPHERMENT "Зашифрование данных"
+    IDS_KEY_AGREEMENT "Согласование ключей шифрования"
+    IDS_CERT_SIGN "Подписание сертификатов"
+    IDS_OFFLINE_CRL_SIGN "Подписание списков отзыва сертификатов, проверяемых вне сети"
+    IDS_CRL_SIGN "Подписание списков отзыва сертификатов (CLR)"
+    IDS_ENCIPHER_ONLY "Только шифрование"
+    IDS_DECIPHER_ONLY "Только расшифрование"
+    IDS_NETSCAPE_SSL_CLIENT "Проверка подлинности клиента SSL"
+    IDS_NETSCAPE_SSL_SERVER "Проверка подлинности сервера SSL"
     IDS_NETSCAPE_SMIME "S/MIME"
     IDS_NETSCAPE_SIGN "Подпись"
     IDS_NETSCAPE_SSL_CA "SSL CA"
